package com.chelvc.framework.export.config;

import com.chelvc.framework.export.ExportHandler;
import com.chelvc.framework.export.support.DefaultExportHandler;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 数据导出配置
 *
 * @author Woody
 * @date 2024/5/10
 */
@Configuration
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class ExportConfigurer {
    private final ExportProperties properties;

    @Bean(initMethod = "initialize", destroyMethod = "destroy")
    public ExportHandler exportHandler() {
        return new DefaultExportHandler(this.properties);
    }
}
